﻿'追加
Imports System.Data.SqlServerCe

Public Class FormAdd

    'アイデアをInsertするSQL
    Private Const COMMAND_TEXT_INSERT_IDEA As String = _
    "INSERT INTO IDEA (LIMIT_TIME, IDEA_CONTENTS)" _
    + "VALUES (@LIMIT_TIME, @IDEA_CONTENTS)"

    '期限を選択できる最小値に追加する月数
    Private Const ADD_MONTH As Integer = 1

    'コンストラクタ
    Sub New()
        InitializeComponent()
        DateTimePicker1.MinDate = DateTime.Today.AddMonths(ADD_MONTH)

    End Sub

    '閉じるボタン押下時のイベントハンドラ
    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click
        '追加ウインドウを閉じる
        Me.Close()
    End Sub

    '追加ボタン押下時のイベントハンドラ
    Private Sub ButtonAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonAdd.Click
        'コネクションを作成し開く
        Using con As SqlCeConnection = DBUtility.GetConnection()
            con.Open()

            'アイデアをインサートするためのコマンド生成する
            Dim command As SqlCeCommand = New SqlCeCommand(COMMAND_TEXT_INSERT_IDEA, con)

            'パラメータを作成しコマンドに設定する
            Dim paramList As List(Of SqlCeParameter) = New List(Of SqlCeParameter)
            paramList.Add(New SqlCeParameter("@LIMIT_TIME", DateTimePicker1.Value))
            paramList.Add(New SqlCeParameter("@IDEA_CONTENTS", RichTextBox1.Text))

            For Each p In paramList
                command.Parameters.Add(p)
            Next p

            'SQLを実行する
            command.ExecuteNonQuery()

            'コネクションを閉じる
            con.Close()
        End Using

        '追加ウインドウを閉じる
        Me.Close()
    End Sub
End Class