﻿'追加
Imports System.Data.SqlServerCe

Public Class FormMain

    'アイデア一覧を取得するSQL
    Private Const COMMANDTEXT_SELECT_IDEA As String = _
    "SELECT IDEA_ID AS ID, LIMIT_TIME AS 期限," _
    + "CASE WHEN GETDATE() >= LIMIT_TIME THEN IDEA_CONTENTS " _
    + "ELSE '[まだ見れません]' END AS 内容 FROM IDEA"

    'メインフォームのコンストラクタ
    Sub New()
        InitializeComponent()
        DBUtility.InitializeDB()
        InitializeForm()
    End Sub

    '画面を初期化する
    Sub InitializeForm()
        'コネクションを作成して開く
        Using con As SqlCeConnection = DBUtility.GetConnection()
            con.Open()

            'アイデアを取得するSelect分を実行するために
            'アダプタを生成する
            Dim adapter As SqlCeDataAdapter = _
                    New SqlCeDataAdapter(New SqlCeCommand(COMMANDTEXT_SELECT_IDEA, con))

            'コネクションを閉じる
            con.Close()

            'アイデアをDBから取得し、データグリッドにバインドする
            Dim dsIdea As DataSet = New DataSet()
            adapter.Fill(dsIdea, "IDEA")
            With Me.DataGridView1
                .DataSource = dsIdea
                .DataMember = "IDEA"
            End With
        End Using
    End Sub

    'アイデア追加ボタン押下時のイベントハンドラ
    Private Sub ButtonAddIdea_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonAddIdea.Click
        Dim formAdd As FormAdd = New FormAdd
        formAdd.ShowDialog()
        Me.InitializeForm()
    End Sub
End Class
